import { ApiBase } from './ApiBase';
import { AdaptableColumn } from '../../AdaptableState/Common/AdaptableColumn';
import { ColumnScope, ScopeDataType } from '../../AdaptableState/Common/ColumnScope';
import { ColumnScopeApi } from '../ColumnScopeApi';
import { CellColorRange } from '../../AdaptableState/StyledColumnState';
export declare class ColumnScopeApiImpl extends ApiBase implements ColumnScopeApi {
    isColumnInScope(column: AdaptableColumn | undefined, scope: ColumnScope | undefined): boolean;
    getColumnsInScope(scope: ColumnScope): AdaptableColumn[];
    getScopeDescription(scope: ColumnScope): string;
    scopeIsEmpty(scope: ColumnScope): boolean;
    scopeIsAll(scope: ColumnScope): boolean;
    scopeHasDataType(scope: ColumnScope): boolean;
    scopeHasColumnType(scope: ColumnScope): boolean;
    scopeHasOnlyBooleanDataType(scope: ColumnScope): boolean;
    scopeHasColumns(scope: ColumnScope): boolean;
    isSingleColumnScope(scope: ColumnScope): boolean;
    getSingleColumnInScope(scope: ColumnScope): string | undefined;
    isSingleNumericColumnScope(scope: ColumnScope): boolean;
    isSingleBooleanColumnScope(scope: ColumnScope): boolean;
    areAllBooleanColumnsInScope(scope: ColumnScope): boolean;
    isColumnInScopeColumns(column: AdaptableColumn, scope: ColumnScope): boolean;
    isPrimaryKeyColumnInScopeColumns(scope: ColumnScope): boolean;
    getScopeToString(scope: ColumnScope): string;
    getColumnIdsInScope(scope: ColumnScope): string[] | undefined;
    getColumnTypesInScope(scope: ColumnScope): string[] | undefined;
    getDataTypesInScope(scope: ColumnScope): ScopeDataType[] | undefined;
    isColumnInNumericScope(column: AdaptableColumn, scope: ColumnScope): boolean;
    isColumnInTextScope(column: AdaptableColumn, scope: ColumnScope): boolean;
    isColumnInDateScope(column: AdaptableColumn, scope: ColumnScope): boolean;
    isScopeInScope(a: ColumnScope, b: ColumnScope): boolean;
    createCellColorRangesForScope(scope: ColumnScope): CellColorRange[];
    private distinctColumnValuesAreEmpty;
}
